26 Oct 2015 Edited #1

Flyover 2.1

Administrator
Flyover is a plugin which lets your users register and login with over 20 different social networks and providers. It authenticates users loading just the necessary files, avoiding unuseful stuff and being as much neat as possible: it acts as a mediator between your board and external sites offering login capabilities.

I wanted to endorse this as a valuable plugin. At HF we decided to try social logins (FB, Google, Discord, and Twitter) just to gauge how well it would do. I really didn't want to spend a huge time on development and saw that this Premium (paid) plugin existed. It wasn't too expensive to get the MyBBoost Ultimate package and he has a reasonable amount of very good plugins.

Flyover was worth it all by itself because upon install our registration increased 30-50%. Yeah, by that much. I was shocked but those are true numbers. Apparently having a super easy way to register an account even though it links to your Google or Twitter account is what people want.

Technically this is a very good plugin and well-written. We made some custom alteration for visual but that was about it. Great plugin and I fully endorse it to all forum owners.
labrocca, hackforums.net owner
Downloaded FB/TW/G+/Steam from this package. Greaaat plugin, yet again, Shade. It's much more simple and straight forward compared to using the free versions, and I like the hybrid auth. Good stuff. I was reluctant to replace the free versions you made, but this is by far superior.
Tecca
This looks really good (and after testing it by registering for your forums it looks extremely good).
GXD3S

MyBBoost runs on Flyover, despite the interface is different, so you can register and try it on this site.



Compatible providers


Flyover is currently capable of full integration with BitBucket, Discord, Disqus, Dribbble, Facebook, Foursquare, GitHub, GitLab, Google, Instagram, LinkedIn, Mailru, Odnoklassniki, Spotify, StackExchange, Steam, Tumblr, TwitchTV, Twitter, Vkontakte, WeChat, WindowsLive (Microsoft), WordPress, Yahoo and Yandex.

Minimum requirements


cURL
PHP 7.1
MyBB 1.6 or 1.8, all minor versions included. MyBB 1.6 should be theoretically supported, but no support is given for this version
PluginLibrary

To install and configure Flyover, read Flyover documentation


Features


Powered by HybridAuth


Flyover relies on an open source project, HybridAuth, to communicate with external sites. The current version is powered by HybridAuth 3.0.0 RC9. HybridAuth serves as a secure and powerful communication layer between your board and each providers' website. Most if not all providers use OAuth 2.0 to authenticate users.

Hashed IDs


In order to ensure the highest level of privacy, users identifiers coming from every providers are hashed. You don't need to worry in case someone steals a database dump, your users are always safe and no one gets to know the user's social identity (unless they have synchronized easily identifiable data).

PM on registration


You can specify and fully customize a private message which will be delivered to the user upon registering. Several customization options are available.

Register without a password


Flyover is capable of registering users without the need for them to specify a password. This is available as an option, and it's disabled by default.

Multiple accounts


Your users can link multiple accounts to the same provider, and choose to login with whatever account they want.

High customization


Several customizations are available to enhance and personalize your experience with Flyover. Synchronization options with up to 8 data points collected during every login, post-registration usergroup and full templates and stylesheets support are included. And you can always specify provider-specific settings that will override the general configuration.

Other customizations will be introduced throughout free and flawless updates.

Updates always safe and with backwards compatibility


An updater is provided within the package which ensures that every update, whether you are jumping from the oldest version of the plugin to the latest, is always safe for your users and your database. You won't lose any data and new features will be available with one single click of a button, needed to run the upgrade script. Also, updates to existing features will always have backwards compatibility so you will not need to worry about missed templates updates or other styling customizations you've made to Flyover.

Got a question/issue?


If you encounter issues configuring providers or setting up Flyover, feel free to open a support thread here on MyBBoost.

What's next?


Follow Flyover development for updates and bug fixes.

Latest update: 1 August 2019


Availability


An Advanced or Ultimate subscription is required to download Flyover (click here to subscribe). Alternatively, you can perform a single purchase by adding the item to your cart and checkout at a later date. You can purchase using PayPal or several cryptocurrencies. Every successful payment lasts forever and may be refunded within 30 days if you are not satisfied.

Before purchasing or subscribing, read the End-User License Agreement (EULA).
Filename Size Downloads
Flyover 2.1.zip
154.03 KB 34
, LIONHAERT, Glaumy And 2 others like this post
Shade 26 Oct 2015 Edited
#2

Previews


Take a look at Flyover's awesomeness with some fresh screenshots of it running on a live board!

[Image: UWxuw5l.png]
[Image: kpYwkat.png]
[Image: lmpWxGr.png]
[Image: 1N6NVii.png]
agentc0re 25 Nov 2015
#3
I'd love to donate/buy this but... when i go to click purchase, it never goes to paypal it just sits there and does nothing.
Shade 25 Nov 2015 Edited
#4
Thank you for the report. I am investigating the issue and I am actively looking for a solution in the next couple of hours. Sorry for the inconvenience.

Payments should be allowed again. I will monitor the success of the incoming transactions and the effective insertion in the correct usergroups in order to ensure that everything is ok.
[VRS] MrCraigTunstall 29 Dec 2015 Edited
#5
Edit * I can't seem to find the download/config.

Hi, will it overwrite and replace https://github.com/stewartiee/Steam-OpenID--MyBB-
Shade 29 Dec 2015 Edited
#6
I received a payment in the morning, but it seems like your account has not been updated by the system. You are now on Gold subscription and you should see the download link. Ensure you select the providers you would like to use in your copy of Flyover (eg.: Steam); otherwise, the plugin will not work.

It can be used to replace Stewatiee's Steam integration, although it is fairly different from that in many ways. Currently there isn't any migrator for existing users connected with that plugin, but one will be included in the next minor release of Flyover.
Hi, I don't see a download link.
Shade 29 Dec 2015
#8
You should now. See the bottom part of the first post.
Still no. :(

https://gyazo.com/51a5b7852863594fe273ba3b2b924066
Shade 30 Dec 2015
#10
Sorry for the inconvenience. I will check in the evening (I am away from home at the moment).